Skip to main content
Required ACL: search Records are returned in the same order as the requests.

Usage

// Initialize the client
var client = new SearchClient(new SearchConfig("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY"));

// Call the API
var response = await client.GetObjectsAsync<Hit>(
  new GetObjectsParams
  {
    Requests = new List<GetObjectsRequest>
    {
      new GetObjectsRequest { ObjectID = "uniqueID", IndexName = "<YOUR_INDEX_NAME>" },
    },
  }
);

// print the response
Console.WriteLine(response);
// Initialize the client
final client =
    SearchClient(appId: 'ALGOLIA_APPLICATION_ID', apiKey: 'ALGOLIA_API_KEY');

// Call the API
final response = await client.getObjects(
  getObjectsParams: GetObjectsParams(
    requests: [
      GetObjectsRequest(
        objectID: "uniqueID",
        indexName: "<YOUR_INDEX_NAME>",
      ),
    ],
  ),
);

// print the response
print(response);
// Initialize the client
client, err := search.NewClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
if err != nil {
  // The client can fail to initialize if you pass an invalid parameter.
  panic(err)
}

// Call the API
response, err := client.GetObjects(client.NewApiGetObjectsRequest(

  search.NewEmptyGetObjectsParams().SetRequests(
    []search.GetObjectsRequest{*search.NewEmptyGetObjectsRequest().SetObjectID("uniqueID").SetIndexName("<YOUR_INDEX_NAME>")})))
if err != nil {
  // handle the eventual error
  panic(err)
}


// print the response
print(response)
// Initialize the client
SearchClient client = new SearchClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY");

// Call the API
GetObjectsResponse response = client.getObjects(
  new GetObjectsParams().setRequests(Arrays.asList(new GetObjectsRequest().setObjectID("uniqueID").setIndexName("<YOUR_INDEX_NAME>"))),
  Hit.class
);

// print the response
System.out.println(response);
// Initialize the client
const client = algoliasearch('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY');

// Call the API
const response = await client.getObjects({ requests: [{ objectID: 'uniqueID', indexName: 'theIndexName' }] });


// print the response
console.log(response);
// Initialize the client
val client = SearchClient(appId = "ALGOLIA_APPLICATION_ID", apiKey = "ALGOLIA_API_KEY")

// Call the API
var response =
  client.getObjects(
    getObjectsParams =
      GetObjectsParams(
        requests =
          listOf(GetObjectsRequest(objectID = "uniqueID", indexName = "<YOUR_INDEX_NAME>"))
      )
  )


// print the response
println(response)
// Initialize the client
$client = SearchClient::create('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY');

// Call the API
$response = $client->getObjects(
    ['requests' => [
        ['objectID' => 'uniqueID',
            'indexName' => '<YOUR_INDEX_NAME>',
        ],
    ],
    ],
);


// print the response
var_dump($response);
# Initialize the client
# In an asynchronous context, you can use SearchClient instead, which exposes the exact same methods.
client = SearchClientSync("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")

# Call the API
response = client.get_objects(
    get_objects_params={
        "requests": [
            {
                "objectID": "uniqueID",
                "indexName": "<YOUR_INDEX_NAME>",
            },
        ],
    },
)


# print the response
print(response)
# Initialize the client
client = Algolia::SearchClient.create("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")

# Call the API
response = client.get_objects(
  Algolia::Search::GetObjectsParams.new(
    requests: [Algolia::Search::GetObjectsRequest.new(algolia_object_id: "uniqueID", index_name: "<YOUR_INDEX_NAME>")]
  )
)


# print the response
puts(response)
// Initialize the client
val client = SearchClient(appId = "ALGOLIA_APPLICATION_ID", apiKey = "ALGOLIA_API_KEY")

// Call the API
val response = Await.result(
  client.getObjects(
    getObjectsParams = GetObjectsParams(
      requests = Seq(
        GetObjectsRequest(
          objectID = "uniqueID",
          indexName = "<YOUR_INDEX_NAME>"
        )
      )
    )
  ),
  Duration(100, "sec")
)

// print the response
println(response)
// Initialize the client
let client = try SearchClient(appID: "ALGOLIA_APPLICATION_ID", apiKey: "ALGOLIA_API_KEY")

// Call the API
let response: GetObjectsResponse<Hit> = try await client
    .getObjects(getObjectsParams: GetObjectsParams(requests: [GetObjectsRequest(
        objectID: "uniqueID",
        indexName: "<YOUR_INDEX_NAME>"
    )]))

// print the response
print(response)

See the full API reference

For more details about input parameters and response fields.
Last modified on March 25, 2026